Subject: Re: bug#36560: Adding tags is not proof that anybody actually read the bug report

From: Stefan Kangas <[email-masked]>
Date: Wed, 10 Jul 2019 02:30:11 +0200

Basil L. Contovounesios <[email-masked]> writes:

> FWIW, the Debbugs URL format and M-x gnus-read-ephemeral-emacs-bug-group
> trick are already described in admin/notes/bugtracker, which is
> referenced at the start of bug-triage:

Dang, you are correct.  Maybe it's not a good idea to duplicate information
(lest one of the locations will fall out of sync with the other).

But the bugtracker file makes it sound like you need to be a Gnus user to use
M-x gnus-read-ephemeral-emacs-bug-group, which is a bit misleading.  It also
doesn't mention how to view a bug in its "Quick-start guide".

The attached patch tries to fix the above two issues by adding a new section
"How do I read a bug?" to the "Quick-start guide" with both of these methods
covered.

What do you think?

Thanks,
Stefan Kangas
From 44593b7111fbea00c011b6359c71b1454dfd24df Mon Sep 17 00:00:00 2001
From: Stefan Kangas <[email-masked]>
Date: Tue, 9 Jul 2019 18:44:07 +0200
Subject: [PATCH] Add new section on reading a bug to admin/notes/bugtracker

* admin/notes/bugtracker: New section "How do I read a bug?" in
"Quickstart". (Bug#36560)
---
 admin/notes/bugtracker | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/admin/notes/bugtracker b/admin/notes/bugtracker
index 92ae326ffd..b890b89166 100644
--- a/admin/notes/bugtracker
+++ b/admin/notes/bugtracker
@@ -11,6 +11,10 @@ Use M-x report-emacs-bug, or send mail to [email-masked].
 If you want to Cc someone, use an "X-Debbugs-Cc" header (or
 pseudo-header, see below) instead.
 
+** How do I read a bug?
+Visit https://debbugs.gnu.org/123 in your web browser or try this in
+Emacs: M-x gnus-read-ephemeral-emacs-bug-group.
+
 ** How do I comment on a bug?
 Reply to a mail on the bug-gnu-emacs list in the normal way.
 Or send a mail to [email-masked].
-- 
2.11.0